DewaVPS

Get snapshots

GET
/instance/{instance_uuid}/snapshot/snapshots

Retrieve a list of snapshots for a specific instance.

Authorization

ApiKeyAuth
x-apikey<token>

In: header

Path Parameters

instance_uuid*string

UUID of the instance

Formatuuid

Response Body

application/json

curl -X GET "https://api.dewavps.com/v1/instance/497f6eca-6276-4993-bfeb-53cbbbba6f08/snapshot/snapshots"
{
  "message": "Instance snapshots",
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "description": "string",
      "status": "Error",
      "current_hourly_price": 0,
      "current_cost": 0,
      "estimated_monthly": 0,
      "is_current_state": true,
      "attached_storage": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "string",
          "size": 0
        }
      ],
      "created_at": "15 August 2024 10:31"
    }
  ]
}